curl --request PATCH \
--url https://your-syteca-host/SytecaACB/api/secrets/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"password": "<string>",
"parent_folder_id": 1,
"parent_folder_name": "<string>",
"domain": "<string>",
"computer_name": "<string>",
"url": "<string>",
"server": "<string>",
"login": "<string>",
"computers": [
"<string>"
],
"record_activities": true,
"permissions": {
"inherit_users_and_roles": false,
"inherit_features": false,
"users": [
{
"name": "<string>",
"features": []
}
],
"user_groups": [
{
"name": "<string>",
"features": []
}
]
}
}
'import requests
url = "https://your-syteca-host/SytecaACB/api/secrets/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"password": "<string>",
"parent_folder_id": 1,
"parent_folder_name": "<string>",
"domain": "<string>",
"computer_name": "<string>",
"url": "<string>",
"server": "<string>",
"login": "<string>",
"computers": ["<string>"],
"record_activities": True,
"permissions": {
"inherit_users_and_roles": False,
"inherit_features": False,
"users": [
{
"name": "<string>",
"features": []
}
],
"user_groups": [
{
"name": "<string>",
"features": []
}
]
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
password: '<string>',
parent_folder_id: 1,
parent_folder_name: '<string>',
domain: '<string>',
computer_name: '<string>',
url: '<string>',
server: '<string>',
login: '<string>',
computers: ['<string>'],
record_activities: true,
permissions: {
inherit_users_and_roles: false,
inherit_features: false,
users: [{name: '<string>', features: []}],
user_groups: [{name: '<string>', features: []}]
}
})
};
fetch('https://your-syteca-host/SytecaACB/api/secrets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"login": "<string>",
"description": "<string>",
"parent_folder_id": 123,
"domain": "<string>",
"computer_name": "<string>",
"url": "<string>",
"server": "<string>",
"computers": [
"<string>"
],
"file_transfer": {
"port": 22
},
"rotation": {
"enabled": true,
"rotate_every_min": 2
},
"record_activities": true,
"check_out": {
"enabled": true,
"rotate_on_checkin": true,
"auto_checkin_after_min": 60
},
"require_approval": {
"approver_users": [
"<string>"
],
"approver_user_groups": [
"<string>"
],
"require_owners_and_approvers": false,
"working_dates": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"working_hours": {
"from": "<string>",
"to": "<string>"
},
"working_days": []
},
"permissions": {
"inherit_users_and_roles": false,
"inherit_features": false,
"users": [
{
"name": "<string>",
"features": []
}
],
"user_groups": [
{
"name": "<string>",
"features": []
}
]
},
"check_password": {
"enabled": false,
"check_every": 30
},
"last_password_check_utc": "2023-11-07T05:31:56Z",
"last_password_rotation_utc": "2023-11-07T05:31:56Z"
}{
"status": 123,
"message": "<string>"
}{
"status": 123,
"message": "<string>"
}{
"status": 123,
"message": "<string>"
}Update secret
Updates an existing secret with the provided data
Authorizations
Access token for authentication
Path Parameters
The ID of the secret to update
x >= 1Body
Name of the secret
512Description of the secret
2000The password value
Show child attributes
Show child attributes
ID of the parent folder
x >= 0Name of the parent folder
512Domain for AD accounts
512Computer name for Windows/Unix accounts
512URL for web accounts
2000Server for database accounts
512Login username
512List of computers
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether to record activities for this secret
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Secret updated successfully
Unique identifier of the secret
Name of the secret
Type of secret
None, UnixAccountSSH, UnixAccountTelnet, WindowsAccount, ADAccount, WebAccount, MSSQLAccount Login username
Description of the secret
ID of the parent folder
Domain for AD accounts
Computer name for Windows/Unix accounts
URL for web accounts
Server for database accounts
List of computers
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether to record activities for this secret
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Status of the last password check (heartbeat)
None, Valid, Invalid, Failed UTC timestamp of the last password check
Status of password rotation
Disabled, Enabled, Failed UTC timestamp of the last password rotation